import type { FormLabelProps } from '@mui/material';
import type { ReactNode } from 'react';
export default function CustomFormLabel({ children, required, tooltip, description, boxSx, ...props }: FormLabelProps & {
    required?: boolean;
    tooltip?: ReactNode | string;
    description?: ReactNode | string;
    boxSx?: React.CSSProperties;
}): import("react").JSX.Element;
